.TH GMAN 1x "May 2002" "Gman"
.SH NAME
gman \- GTK+ based front-end for man, a good replacment for xman.
.SH SYNOPSIS
.B gman
.SH DESCRIPTION
.B Gman
is a front-end for the original
.I man
page system. The most basic job of gman is to build a database for all
the man pages and display them (or part of them) as a list. When
user decides to read a specific man page,
.B gman
will launch a
.I xterm
window and call the traditional man system to display the man page in the
window.
.sp
.B Gman
can launch more than one window at same time. And user can use
the index/key word search function to look for the man pages that he needs.
.sp
It is simple, but it is useful.
.SH OPTIONS
There are no command line options for gman, for now.
.sp
Tips:  Currently gman have 4 different modes to present the man pages
to you.  In the first mode "Xterm", you can add the following line in
your ~/.gman file to select the xterm software which you would like to
use.
.sp
xterm_command = rxvt
.sp
Tips:  If GhostView package (command "gv") is aviable on your system.
You may set "View"->"GhostView" and gman will present man pages with a 
ghostview window for you to view and print the man page.
.sp
Tips:  If you have netscape on your system, you may set
"View"->"LocalBrowse" and gman will launch a netscape window to show
you the man page.
.sp
Tips:  If you have netscape and apache server running ( defult
cgi-bin directory is "/var/www/cgi-bin") , you may enjoy the full
NetBrowse mode by set "View"->"NetBrowse".  In this mode, you can view
the pages with netscape browser and navigate from one man page to
another (by click the links in the man pages).  This mode is very
useful.

.SH FILES
.TP
.I ~/.gman
Contains configuration information for gman, such as window size and
paths where the manual pages are contained.  
For example, 
.sp
v_size = 400
.br
h_size = 300
.br
xterm_command = rxvt
.br
show_warning = 0
.br
man_paths = /usr/man:/usr/local/man:/usr/X11R6/man
.sp
For more information, see init_context() function in gman.c for all the 
options avialiable.
.sp
~/.gman is read by gman on startup, and written on exit.
.SH SEE ALSO
.BR man (1),
.BR man (7),
.BR xterm (1).
.SH AUTHOR
.B Gman
was written by a smart gay named Xinkai Wang <aakwxk@hotmail.com>. Home page of gman is at:
.br
.I http://homex.coolconnect.com/user/xkwang/gman/
